Subject: bug#73183: closed (Re: [bug#73183] [PATCH] gnu: perl-gd: Use native perl-extutils-pkgconfig.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 19 Sep 2024 18:35:02 +0000

Your bug report

#73183: [PATCH] gnu: perl-gd: Use native perl-extutils-pkgconfig.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73183: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73183
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#73183] [PATCH] gnu: perl-gd: Use native perl-extutils-pkgconfig.
From: Herman Rimm <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Thu, 19 Sep 2024 20:33:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ludo,

On Tue, Sep 17, 2024 at 05:31:56PM +0200, Ludovic Courtès wrote:
> What error is this supposed to fix?
> 
> “./pre-inst-env guix build perl-gd” works for me.

Having reinstalled my OS, I no longer have an issue building perl-gd as
you described.  I lost the relevant build logs.  I'll close the issue.

Cheers,
Herman

Subject: [PATCH] gnu: perl-gd: Use native perl-extutils-pkgconfig.
From: Herman Rimm <[email-masked]>
To: [email-masked]
Date: Wed, 11 Sep 2024 21:00:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/gd.scm (perl-gd)[native-inputs]: Replace
perl-extutils-pkgconfig with %perl-extutils-pkgconfig.
---
 gnu/packages/gd.scm | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gd.scm b/gnu/packages/gd.scm
index 98d34cfa71..6ebc871161 100644
--- a/gnu/packages/gd.scm
+++ b/gnu/packages/gd.scm
@@ -127,7 +127,9 @@ (define-public perl-gd
            libjpeg-turbo
            zlib))
     (native-inputs
-     (list perl-extutils-pkgconfig
+      ;; Avoid error in pre-inst-env.  Cross-compilation is broken
+      ;; anyway, so no big loss.
+     (list %perl-extutils-pkgconfig
            perl-test-nowarnings))
     (arguments
      (list #:make-maker-flags
-- 
2.45.2